#
# spec file for package python-python-stdnum
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname python-stdnum
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-%{modname}
Version:        1.10
Release:        2.33
Summary:        Python module to handle standardized numbers and codes
License:        LGPL-2.0-or-later
Group:          Development/Languages/Python
URL:            http://arthurdejong.org/python-stdnum/
Source:         https://files.pythonhosted.org/packages/source/p/python-stdnum/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-PySimpleSOAP
Suggests:       python-suds
BuildArch:      noarch
%python_subpackages

%description
This library offers functions for parsing, validating and reformatting
standard numbers and codes in various formats.

Apart from the validate() function, modules generally provide extra
parsing, validation, formatting or conversion functions.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%python_exec -m nose

%files %{python_files}
%license COPYING
%doc NEWS ChangeLog README
%{python_sitelib}/*

%changelog
* Fri Dec  7 2018 tchvatal@suse.com
- Version update to 1.10:
  * More formats supported
  * More expanded testsuite
  * Many bugfixes
* Fri Dec  7 2018 tchvatal@suse.com
- Fix fdupes call
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Jun 29 2017 jmatejek@suse.com
- convert to singlespec
- enable tests
- update to 1.6
  * support more number formats
  * many bugs fixed
  * extended test suite
* Fri Sep 23 2016 jengelh@inai.de
- Trim redundant lines off description
* Mon Jul  4 2016 axel.braun@gmx.de
- update to version 1.3
* Wed Jun 29 2016 axel.braun@gmx.de
- change package name to namingconventions
* Mon Jan  4 2016 axel.braun@gmx.de
- Version 1.2
  initial OBS build
